努比亚z17更新今天的8.1每夜版,最近任务出现错误,magisk也刷不进


#1

11号的版本最近任务错误,刷回10号的就正常。但是刷不进magisk显示错误1。还有开机提示供应商映像不匹配

这是正常的最近任务


#2

11号的也是正常的。 image 参考以下微博内容:

如果更新了前两天维护者上传的底包也不行,那就等维护者解决吧~ image

image

要不别用官方的Magisk了,找个支持Treble的修改版的Magisk试试~ image


#3

换了个twrp把magisk刷上了,就是现在开机慢的一批


#4

老哥用的哪个twrp?


#5

同563j,我是从8号的版本开始出现问题的,原先的版本是7号的每夜版,515底包刷524的底包启动旧版本的系统没有问题,但是一旦刷了8号的版本就出问题了,magisk刷不进去提示不能挂载vendor,然后重启每次进到系统都会提示供应商映像有问题,还有就是524的底包启动系统会在第一屏卡好久好久。
magisk刷不进去的老哥们可以参考一下这个临时解决方案,来自xda@xiayesuifeng:
1.首先刷好系统
2.然后打开twrp的终端手动挂载vendor分区
mkdir /vendor
mount /dev/block/bootdevice/by-name/vendor /vendor
3.然后就正常刷入magisk就不会提示挂载不了vendor了。
但是这种解决方案只能解决magisk的刷入问题,解决不了进系统提示供应商映像版本错误的问题。


#6

还有一些小问题
就是TWRP3.2刷Gapps的话到最后一步一点install Gapps之后TWRP就会黑屏重启(TWRP界面重启不是手机重启),这个时候是关不了机也重启不了的,必须长按电源强制重启,所以我刷Gapps要降到3.1.1去才能刷,但是刷系统要3.1.2才可以,3.1.1会直接报错。有哪位老铁有刷Gapps不崩溃的TWRP好推荐么,我现在用过四个3.2.1了,一个是SY的,17年比较早期的,两个是17年12月的,一个是谁的忘记了,一个是绯色工具箱,一个是18年3月的,谁的忘记了。求推荐走一波。
系统更新到7月初的版本以后我的hdr+版的谷歌相机就用不了了,试了好多个版本都不行,全都是停止运行或者黑屏的,Gapps的log显示Google Camera Compatible 是true,但是New Camera API Compatible 是false,有哪位好心老哥能推荐一个能用的版本或者告知解决方案么?
系统更新到7号以后的系统的话,刷Gapps的时候脸部解锁刷不进去,查log发现FaceUnlock Compatible 是false,这个问题有谁知道怎么解决吗?
系统的SELinux一直是处于permissive状态,旧版本系统试过用magisk模块来启动时set到enforcing,但是这样的话手机红外和指纹解锁就不能用了(至少这两个是我用的最常用的功能)后来看到changelog写修正了selinux策略,然后就升级(没清userdata)了,遇到了vendor的问题,解决以后进到系统magisk set enforce后重启到进系统的画图案解锁这一步没多久就陷入systemui无限重启循环了,求知道的老哥告知解决方案。。。


#7

这个,可以正常刷入magisk


#8

卡第一屏这个问题解决没有,开机真的好慢


#9

你又不常重启。。。。

los treble版也是这样


#10

谷歌刷入正常。不知道你怎么回事


#11

弄框架经常重启。添加一个新的模块又要重启了


#12

哈哈 那也是 还好我的模块都固定的 重启一次就全部激活了


#13

所以说,现在重启一次太久了


#14

卡第一屏这个听说刷其他PT的ROM可以解决,我没试过不知道情况,对了老铁,能把你的TWRP po出来么,我用的那几个3.2都是会崩的


#15

怎么发,还有你说的pt的rom是什么


#16

有下载地址吗,木有就发我邮箱咯:2789536804@qq.com
PT的ROM的话在这里找


#17

没 Los treble一样